## libnvme 1.3

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later
option('version-tag', type : 'string', description : 'override the git version string')
option('htmldir', type : 'string', value : '', description : 'directory for HTML documentation')
option('rstdir', type : 'string', value : '', description : 'directory for ReST documentation')

option('docs', type : 'combo', choices : ['false', 'html', 'man', 'rst', 'all'], description : 'install documentation')
option('docs-build', type : 'boolean', value : false,  description : 'build documentation')

option('python', type : 'combo', choices : ['auto', 'true', 'false'], description : 'Generate libnvme python bindings')
option('openssl', type : 'feature', value: 'auto', description : 'OpenSSL support')
option('libdbus', type : 'feature', value: 'auto', description : 'libdbus support')

## libnvme 1.2

=== debian/changelog ===
libnvme (1.2-2) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Chris Lamb <lamby@debian.org> to make build
    reproducible (Closes: #1023589).
  * Adding patch from upstream to fix FTBFS on big endian, thanks to
    Benjamin Drung <bdrung@debian.org> (Closes: #1023826).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 10 Nov 2022 23:06:24 +0100

libnvme (1.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.2.
  * Using codename instead of suitname in changelog consistently.
  * Removing uuid-dev build-dependency, not needed anymore.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 05 Nov 2022 19:19:21 +0100

libnvme (1.1-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Oct 2022 16:02:35 +0200

libnvme (1.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Aug 2022 14:26:36 +0200

libnvme (1.1~rc0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.1~rc0.
  * Updating copyright for newly added mctp support in this upstream
    release.
  * Updating copyright to reflect license change of log.c in this upstream
    release.
  * Updating python3-nvme.install for backports.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Jul 2022 07:34:55 +0200

libnvme (1.0-1) sid; urgency=medium

  * Initial upload to sid:
    - as of nvme-cli 2.0, upstream has moved the common functionality
      out to a shared library.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Jul 2022 20:54:45 +0200

=== debian/control ===
Source: libnvme
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 libjson-c-dev,
 libssl-dev,
 meson,
 pkg-config,
 python3-dev,
 swig,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/linux-nvme/libnvme
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme

Package: libnvme-dev
Section: libdevel
Architecture: any
Depends:
 libnvme1 (= ${binary:Version}),
 ${misc:Depends},
Description: NVMe management library (development)
 NVM Express (NVMe) is a interface specification for accessing non-volatile
 storage media, typically modern solid state drives (SSDs) through PCI Express
 (PCIe). libnvme provides library functions for accessing and managing NVMe
 devices.
 .
 This package contains the development files.

Package: libnvme1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 nvme-cli,
Description: NVMe management library (library)
 NVM Express (NVMe) is a interface specification for accessing non-volatile
 storage media, typically modern solid state drives (SSDs) through PCI Express
 (PCIe). libnvme provides library functions for accessing and managing NVMe
 devices.
 .
 This package contains the shared library.

Package: python3-nvme
Section: python
Architecture: any
Depends:
 libnvme1 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: NVMe management library (Python)
 NVM Express (NVMe) is a interface specification for accessing non-volatile
 storage media, typically modern solid state drives (SSDs) through PCI Express
 (PCIe). libnvme provides library functions for accessing and managing NVMe
 devices.
 .
 This package contains the Python bindings.

## libnvme 1.3

=== debian/changelog ===
libnvme (1.3-1~ubuntu22.04) jammy; urgency=medium

  * Backport to jammy for nvme-stas (LP: #2020461)
  * Drop version requirement from meson build dependency. It was added in
    libnvme 1.2-3 to avoid the buggy meson version 0.64.1-1.1.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 23 May 2023 12:41:30 +0200

libnvme (1.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.3.
  * Removing ftbfs-big-endian.patch, included upstream.
  * Adding libdbus-1-dev to build-depends.
  * Updating copyright for 2023.
  * Sorting copyright file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 31 Jan 2023 05:18:01 +0100

libnvme (1.2-3) sid; urgency=medium

  * Uploading to sid.
  * Updating build-depends on meson to avoid buggy meson version (Closes:
    #1026711).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2023 08:40:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  cmake,
  debhelper-compat (= 13),
  dh-python,
+ libdbus-1-dev,
  libjson-c-dev,
  libssl-dev,
  meson,
@@ -13,7 +14,7 @@
  python3-dev,
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/linux-nvme/libnvme
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme

=== debian/rules ===
#!/usr/bin/make -f

export KBUILD_BUILD_TIMESTAMP = "@$(SOURCE_DATE_EPOCH)"

%:
	dh ${@} --buildsystem=meson --with python3

override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=man -Ddocs-build=true -Dpython=true -Dopenssl=enabled --default-library=both

execute_after_dh_auto_install:
	# remove empty manpages
	find debian/tmp/usr/share/man -type f -empty -exec rm -f {} +

	# fix wrong-manual-section
	sed -i -e 's| 9 | 2 |' debian/tmp/usr/share/man/*/*.2

## libnvme 1.4

=== debian/changelog ===
libnvme (1.4-2) experimental; urgency=medium

  * Uploading to experimental.
  * Building with keyutils support.
  * Correcting breaks/replaces for transitional package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 04 Apr 2023 06:51:42 +0200

libnvme (1.4-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.4.
  * Renaming python3-nvme to correct python3-libnvme name (Closes:
    #1032635).
  * Updating boolean meson values in rules.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 09:52:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  dh-python,
  libdbus-1-dev,
  libjson-c-dev,
+ libkeyutils-dev,
  libssl-dev,
- meson,
+ meson (>= 1.0.0-1.1~),
  pkg-config,
  python3-dev,
  swig,
@@ -49,7 +50,7 @@
  .
  This package contains the shared library.
 
-Package: python3-nvme
+Package: python3-libnvme
 Section: python
 Architecture: any
 Depends:
@@ -57,6 +58,10 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ python3-nvme (<< 1.4~),
+Replaces:
+ python3-nvme,
 Description: NVMe management library (Python)
  NVM Express (NVMe) is a interface specification for accessing non-volatile
  storage media, typically modern solid state drives (SSDs) through PCI Express
@@ -64,3 +69,17 @@
  devices.
  .
  This package contains the Python bindings.
+
+Package: python3-nvme
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends:
+ python3-libnvme,
+ ${misc:Depends},
+Description: NVMe management library (transitional package)
+ Package to ease upgrading from older python3-nvme package to the new
+ python3-libnvme package.
+ .
+ This package can be purged at anytime once the python3-libnvme package has been
+ installed.

## libnvme 1.5

=== meson_options.txt ===
--- 
+++ 
@@ -7,6 +7,8 @@
 option('docs', type : 'combo', choices : ['false', 'html', 'man', 'rst', 'all'], description : 'install documentation')
 option('docs-build', type : 'boolean', value : false,  description : 'build documentation')
 
-option('python', type : 'combo', choices : ['auto', 'true', 'false'], description : 'Generate libnvme python bindings')
+option('python', type : 'feature', value: 'auto', description : 'Generate libnvme python bindings')
 option('openssl', type : 'feature', value: 'auto', description : 'OpenSSL support')
-option('libdbus', type : 'feature', value: 'auto', description : 'libdbus support')
+option('libdbus', type : 'feature', value: 'disabled', description : 'libdbus support')
+option('json-c', type : 'feature', value: 'auto', description : 'JSON support')
+option('keyutils', type: 'feature', value: 'auto', description: 'keyutils support')

=== debian/changelog ===
libnvme (1.5-3) sid; urgency=medium

  * Uploading to sid.
  * Making workaround for certain meson versions conditional in rules to
    fix (now) FTBFS in sid (Closes: #1051722).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 11 Sep 2023 22:26:38 +0200

libnvme (1.5-2) sid; urgency=medium

  * Uploading to sid.
  * Adding patch from upstream to fix fd leaks with /sys/bus/pci/slots
    (Closes: #1043095).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 06 Aug 2023 09:42:25 +0200

libnvme (1.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Jul 2023 00:36:16 +0200

libnvme (1.4-4) sid; urgency=medium

  * Uploading to sid.
  * Adding missing dependencies to libnvme-dev, thanks to Michael Biebl
    <biebl@debian.org> (Closes: #1039858).
  * Workarounding changes for wrong python prefix.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jun 2023 03:17:34 +0200

libnvme (1.4-3) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:26:23 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,10 @@
 Section: libdevel
 Architecture: any
 Depends:
+ libjson-c-dev,
+ libkeyutils-dev,
  libnvme1 (= ${binary:Version}),
+ libssl-dev,
  ${misc:Depends},
 Description: NVMe management library (development)
  NVM Express (NVMe) is a interface specification for accessing non-volatile

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,16 @@
 	dh ${@} --buildsystem=meson --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Ddocs=man -Ddocs-build=true -Dpython=true -Dopenssl=enabled --default-library=both
+	dh_auto_configure -- -Ddocs=man -Ddocs-build=true -Dpython=enabled -Dopenssl=enabled --default-library=both
 
 execute_after_dh_auto_install:
+	# correcting python location
+	if [ -e debian/tmp/usr/local/lib ]; \
+	then \
+		mv debian/tmp/usr/local/lib/python* debian/tmp/usr/lib; \
+		rm -rf debian/tmp/usr/local; \
+	fi
+
 	# remove empty manpages
 	find debian/tmp/usr/share/man -type f -empty -exec rm -f {} +

## libnvme 1.7.1

=== debian/changelog ===
libnvme (1.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.1.
  * Removing python location workaround, now not needed anymore.
  * Removing pci-slots-fd-leak.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 24 Dec 2023 08:51:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,6 @@
 	dh_auto_configure -- -Ddocs=man -Ddocs-build=true -Dpython=enabled -Dopenssl=enabled --default-library=both
 
 execute_after_dh_auto_install:
-	# correcting python location
-	if [ -e debian/tmp/usr/local/lib ]; \
-	then \
-		mv debian/tmp/usr/local/lib/python* debian/tmp/usr/lib; \
-		rm -rf debian/tmp/usr/local; \
-	fi
-
 	# remove empty manpages
 	find debian/tmp/usr/share/man -type f -empty -exec rm -f {} +

## libnvme 1.8

=== Makefile ===
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This file is part of libnvme.
# Copyright (c) 2021 Dell Inc.
#
# Authors: Martin Belanger <Martin.Belanger@dell.com>
#
NAME          := libnvme
.DEFAULT_GOAL := ${NAME}
BUILD-DIR     := .build

${BUILD-DIR}:
	meson $@
	@echo "Configuration located in: $@"
	@echo "-------------------------------------------------------"

.PHONY: ${NAME}
${NAME}: ${BUILD-DIR}
	ninja -C ${BUILD-DIR}

.PHONY: clean
clean:
ifneq ("$(wildcard ${BUILD-DIR})","")
	ninja -C ${BUILD-DIR} -t $@
endif

.PHONY: purge
purge:
ifneq ("$(wildcard ${BUILD-DIR})","")
	rm -rf ${BUILD-DIR}
endif

.PHONY: install dist
install dist: ${BUILD-DIR}
	cd ${BUILD-DIR} && meson $@

.PHONY: uninstall
uninstall:
	cd ${BUILD-DIR} && meson --internal uninstall

.PHONY: test
test: ${BUILD-DIR}
	ninja -C ${BUILD-DIR} $@

.PHONY: rpm
rpm: ${BUILD-DIR}
	git archive --format=tar HEAD > libnvme.tar
	tar rf libnvme.tar ${BUILD-DIR}/libnvme.spec
	gzip -f -9 libnvme.tar
	rpmbuild -ta libnvme.tar.gz -v

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 option('docs', type : 'combo', choices : ['false', 'html', 'man', 'rst', 'all'], description : 'install documentation')
 option('docs-build', type : 'boolean', value : false,  description : 'build documentation')
+option('tests', type : 'boolean', value : true, description : 'build tests')
 
 option('python', type : 'feature', value: 'auto', description : 'Generate libnvme python bindings')
 option('openssl', type : 'feature', value: 'auto', description : 'OpenSSL support')

=== debian/changelog ===
libnvme (1.8-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:53:53 +0000

libnvme (1.8-3) sid; urgency=medium

  * Uploading to sid.
  * Adding changelog for libnvme 1.6-1.
  * Adding changelog for libnvme 1.7.1-1.1~exp1.
  * Bumping build-depends on debhelper for t64 transition.
  * Wrap and sorting debian files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Mar 2024 07:16:32 +0100

libnvme (1.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063131

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:23:21 +0000

libnvme (1.8-2) sid; urgency=medium

  * Uploading to sid.
  * Temporarily disabling failing tests (Closes: #1064324).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 20 Feb 2024 10:22:26 +0100

libnvme (1.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.8.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 19 Feb 2024 11:38:46 +0100

libnvme (1.7.1-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 05 Feb 2024 07:59:24 +0000

libnvme (1.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.6.
  * Removing cherry-picked pci-slots-fd-leak.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Oct 2023 14:42:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: libnvme
 Section: libs
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  cmake,
+ debhelper (>= 13.14~),
  debhelper-compat (= 13),
  dh-python,
+ dpkg-dev (>= 1.22.5),
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
@@ -26,7 +29,7 @@
 Depends:
  libjson-c-dev,
  libkeyutils-dev,
- libnvme1 (= ${binary:Version}),
+ libnvme1t64 (= ${binary:Version}),
  libssl-dev,
  ${misc:Depends},
 Description: NVMe management library (development)
@@ -37,7 +40,13 @@
  .
  This package contains the development files.
 
-Package: libnvme1
+Package: libnvme1t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libnvme1,
+Breaks:
+ libnvme1 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Depends:
@@ -57,7 +66,7 @@
 Section: python
 Architecture: any
 Depends:
- libnvme1 (= ${binary:Version}),
+ libnvme1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 
 	# fix wrong-manual-section
 	sed -i -e 's| 9 | 2 |' debian/tmp/usr/share/man/*/*.2
+
+override_dh_auto_test:
+	# disabled

## libnvme 1.9

=== debian/changelog ===
libnvme (1.9-1deepin1) unstable; urgency=medium

  * revert: for t64 transition.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 17 Jul 2024 15:41:00 +0800

libnvme (1.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.9.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 May 2024 13:05:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: libnvme
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  cmake,
- debhelper (>= 13.14~),
  debhelper-compat (= 13),
  dh-python,
  dpkg-dev (>= 1.22.5),
@@ -18,7 +16,7 @@
  python3-dev,
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/linux-nvme/libnvme
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme
@@ -29,7 +27,7 @@
 Depends:
  libjson-c-dev,
  libkeyutils-dev,
- libnvme1t64 (= ${binary:Version}),
+ libnvme1 (= ${binary:Version}),
  libssl-dev,
  ${misc:Depends},
 Description: NVMe management library (development)
@@ -40,13 +38,7 @@
  .
  This package contains the development files.
 
-Package: libnvme1t64
-Provides:
- ${t64:Provides},
-Replaces:
- libnvme1,
-Breaks:
- libnvme1 (<< ${source:Version}),
+Package: libnvme1
 Section: libs
 Architecture: any
 Depends:
@@ -66,7 +58,7 @@
 Section: python
 Architecture: any
 Depends:
- libnvme1t64 (= ${binary:Version}),
+ libnvme1 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## libnvme 1.10

=== debian/changelog ===
libnvme (1.10-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 05 Aug 2024 10:35:56 +0200

## libnvme 1.11.1

=== debian/changelog ===
libnvme (1.11.1-2) sid; urgency=medium

  * Adding changelog for libnvme 1.3-1+deb12u1.
  * Updating source url in copyright.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating my email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 10:59:57 +0100

libnvme (1.11.1-1) sid; urgency=medium

  * Merging upstream version 1.11.1.
  * Removing graceful-keyring.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Nov 2024 07:44:00 +0100

libnvme (1.11-2) sid; urgency=medium

  * Adding patch from upstream to handle unavailable keyring gracefully
    (Closes: #1087516).

 -- Daniel Baumann <daniel@debian.org>  Fri, 15 Nov 2024 16:29:56 +0100

libnvme (1.11-1) sid; urgency=medium

  * Merging upstream version 1.11.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 09:04:19 +0100

libnvme (1.8-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Feb 2024 07:56:08 +0000

libnvme (1.7.1-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 05 Feb 2024 07:57:45 +0000

libnvme (1.3-1+deb12u1) bookworm; urgency=medium

  * Cherry-picking upstream commits to fix buffer overflow during scanning
    devices that do not support sub-4k reads (Closes: #1054631).

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Apr 2024 08:57:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libnvme
 Section: libs
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  cmake,
+ debhelper (>= 13.14~),
  debhelper-compat (= 13),
  dh-python,
  dpkg-dev (>= 1.22.5),
@@ -18,8 +19,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/linux-nvme/libnvme
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libnvme
+Vcs-Browser: https://forgejo.debian.net/linux/libnvme
+Vcs-Git: https://forgejo.debian.net/linux/libnvme
 
 Package: libnvme-dev
 Section: libdevel
@@ -27,7 +28,7 @@
 Depends:
  libjson-c-dev,
  libkeyutils-dev,
- libnvme1 (= ${binary:Version}),
+ libnvme1t64 (= ${binary:Version}),
  libssl-dev,
  ${misc:Depends},
 Description: NVMe management library (development)
@@ -38,7 +39,13 @@
  .
  This package contains the development files.
 
-Package: libnvme1
+Package: libnvme1t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libnvme1,
+Breaks:
+ libnvme1 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Depends:
@@ -58,7 +65,7 @@
 Section: python
 Architecture: any
 Depends:
- libnvme1 (= ${binary:Version}),
+ libnvme1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/watch ===
version=4
opts="pgpmode=auto, filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libnvme-$1\.tar\.gz/, \
      uversionmangle=s/(\d)\-?((pre|rc)\d*)$/$1~$2/" \
https://github.com/linux-nvme/libnvme/tags .*/v?(\d\S+)\.tar\.gz

## libnvme 1.12

=== debian/changelog ===
libnvme (1.12-2) sid; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Mar 2025 19:12:38 +0100

libnvme (1.12-1) sid; urgency=medium

  * Merging upstream version 1.12.
  * Updating year in upstream copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 08:09:40 +0100

libnvme (1.11.1-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:44:48 +0100

## libnvme 1.13

=== Makefile ===
--- 
+++ 
@@ -9,38 +9,52 @@
 .DEFAULT_GOAL := ${NAME}
 BUILD-DIR     := .build
 
+.PHONY: update-subprojects
+update-subprojects:
+	meson subprojects update
+
 ${BUILD-DIR}:
-	meson $@
+	meson setup $@
 	@echo "Configuration located in: $@"
 	@echo "-------------------------------------------------------"
 
 .PHONY: ${NAME}
 ${NAME}: ${BUILD-DIR}
-	ninja -C ${BUILD-DIR}
+	meson compile -C ${BUILD-DIR}
 
 .PHONY: clean
 clean:
 ifneq ("$(wildcard ${BUILD-DIR})","")
-	ninja -C ${BUILD-DIR} -t $@
+	meson compile --clean -C ${BUILD-DIR}
 endif
 
 .PHONY: purge
 purge:
 ifneq ("$(wildcard ${BUILD-DIR})","")
 	rm -rf ${BUILD-DIR}
+	meson subprojects purge --confirm
 endif
 
-.PHONY: install dist
-install dist: ${BUILD-DIR}
-	cd ${BUILD-DIR} && meson $@
+.PHONY: install
+install: ${NAME}
+	meson install -C ${BUILD-DIR} --skip-subprojects
 
 .PHONY: uninstall
 uninstall:
 	cd ${BUILD-DIR} && meson --internal uninstall
 
+.PHONY: dist
+dist: ${NAME}
+	meson dist -C ${BUILD-DIR} --formats gztar
+
 .PHONY: test
-test: ${BUILD-DIR}
-	ninja -C ${BUILD-DIR} $@
+test: ${NAME}
+	meson test -C ${BUILD-DIR}
+
+# Test strictly libnvme (do not run tests on all the subprojects)
+.PHONY: test-strict
+test-strict: ${NAME}
+	meson test -C ${BUILD-DIR} --suite libnvme
 
 .PHONY: rpm
 rpm: ${BUILD-DIR}

=== debian/changelog ===
libnvme (1.13-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:55:27 +0200

libnvme (1.13-1) sid; urgency=medium

  * Merging upstream version 1.13.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Apr 2025 11:46:42 +0200

=== debian/watch ===
version=4
https://github.com/linux-nvme/libnvme/tags .*/v?(\d.*)@ARCHIVE_EXT@

## libnvme 1.14

=== debian/changelog ===
libnvme (1.14-1) experimental; urgency=medium

  * Merging upstream version 1.14.

 -- Daniel Baumann <daniel@debian.org>  Thu, 22 May 2025 12:57:44 +0200

## libnvme 1.15

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 option('docs', type : 'combo', choices : ['false', 'html', 'man', 'rst', 'all'], description : 'install documentation')
 option('docs-build', type : 'boolean', value : false,  description : 'build documentation')
+option('examples', type : 'boolean', value : true, description : 'build examples')
 option('tests', type : 'boolean', value : true, description : 'build tests')
 
 option('python', type : 'feature', value: 'auto', description : 'Generate libnvme python bindings')
@@ -13,3 +14,4 @@
 option('libdbus', type : 'feature', value: 'disabled', description : 'libdbus support')
 option('json-c', type : 'feature', value: 'auto', description : 'JSON support')
 option('keyutils', type: 'feature', value: 'auto', description: 'keyutils support')
+option('liburing', type : 'feature', value: 'disabled', description : 'liburing support')

=== debian/changelog ===
libnvme (1.15-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:08:36 +0200

libnvme (1.15-1) experimental; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 1.15.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Jul 2025 05:06:29 +0200

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  python3-dev,
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-nvme/libnvme
-Vcs-Browser: https://forgejo.debian.net/linux/libnvme
-Vcs-Git: https://forgejo.debian.net/linux/libnvme
+Vcs-Browser: https://forgejo.debian.net/nvme/libnvme
+Vcs-Git: https://forgejo.debian.net/nvme/libnvme
 
 Package: libnvme-dev
 Section: libdevel

## libnvme 1.16

=== debian/changelog ===
libnvme (1.16-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.
  * Merging upstream version 1.16.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Nov 2025 09:38:04 +0100

## libnvme 1.16.1

=== debian/changelog ===
libnvme (1.16.1-1) sid; urgency=medium

  * Merging upstream version 1.16.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Nov 2025 20:13:29 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  pkg-config,
  python3-dev,
  swig,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/linux-nvme/libnvme
 Vcs-Browser: https://forgejo.debian.net/nvme/libnvme

=== debian/watch ===
Version: 5

Template: Github
Owner: linux-nvme
Project: @PACKAGE@
